| Param name | Description |
|---|---|
|
page
optional |
Page index Validations:
|
|
per
optional |
Items per page Validations:
|
|
investor_id
optional |
Filter by investor UUID Validations:
|
{
'data': [
{
'id': 'beneficiary-uuid',
'name': 'Nombre',
'lastname': 'Apellido Paterno',
'matriname': 'Apellido Materno',
'nationality': null,
'translated_nationality': null,
'national_id_number': null,
'phone_number': null,
'phone_number_extension': null,
'mobile_number': '5512345678',
'dob': null,
'email': 'ejemplo@correo.com',
'kinship': 'spouse',
'street': 'Av. Insurgentes Sur',
'street_number': '453',
'street_number_internal': null,
'zip_code': '06600',
'suburb': 'Hipódromo',
'city': 'Ciudad de México',
'state': 'CDMX',
'country': 'MEX',
'investor': {
'id': 'investor-uuid',
'sequential_id': 1,
'code': null,
'comment': null,
'name': 'Nombre',
'lastname': 'Apellido',
'matriname': 'Materno',
'full_name': 'Nombre Apellido Materno',
'company': false,
'company_name': null,
'person_type': 'Persona física',
'nationality': 'mexican',
'translated_nationality': 'mexicano',
'national_id_number': null,
'phone_number': null,
'phone_number_extension': null,
'mobile_number': '5512345678',
'gender': 'male',
'dob': null,
'human_readable_dob': null,
'email': 'inversor@correo.com',
'admission_date': '2024-01-15',
'balance': { 'mxn': '500000.00', 'usd': '0.00' },
'active_investment_amount': 1,
'promoter_id': 'promoter-uuid',
'created_at': '2024-01-15 - 10:00',
'updated_at': '2025-01-01 - 09:00',
'created_by_full_name': 'Administrador',
'country': null,
'country_translated': null,
'is_financial_entity': false,
'prospect_id': null,
'user_id': null,
'user_created': false,
'document_type': null,
'document_number': null,
'marital_status': null,
'account_statement_password': null,
'access_keys_sent': false,
'extra_fields_attributes': [],
'subsidiary_id': null,
'subsidiary_name': null,
'deletable': false
}
}
],
'meta': {
'count': 1
}
}
| Code | Description |
|---|---|
| 400 | Bad Request |
| 401 | Unauthorized |
| 403 | Forbidden |
| 404 | Not Found |
| 500 | Internal Server Error |
| Param name | Description |
|---|---|
|
id
required |
Beneficiary UUID Validations:
|
{
'data': {
'id': 'beneficiary-uuid',
'name': 'Nombre',
'lastname': 'Apellido Paterno',
'matriname': 'Apellido Materno',
'nationality': null,
'translated_nationality': null,
'national_id_number': null,
'phone_number': null,
'phone_number_extension': null,
'mobile_number': '5512345678',
'dob': null,
'email': 'ejemplo@correo.com',
'kinship': 'spouse',
'street': 'Av. Insurgentes Sur',
'street_number': '453',
'street_number_internal': null,
'zip_code': '06600',
'suburb': 'Hipódromo',
'city': 'Ciudad de México',
'state': 'CDMX',
'country': 'MEX',
'investor': {
'id': 'investor-uuid',
'sequential_id': 1,
'code': null,
'comment': null,
'name': 'Nombre',
'lastname': 'Apellido',
'matriname': 'Materno',
'full_name': 'Nombre Apellido Materno',
'company': false,
'company_name': null,
'person_type': 'Persona física',
'nationality': 'mexican',
'translated_nationality': 'mexicano',
'national_id_number': null,
'phone_number': null,
'phone_number_extension': null,
'mobile_number': '5512345678',
'gender': 'male',
'dob': null,
'human_readable_dob': null,
'email': 'inversor@correo.com',
'admission_date': '2024-01-15',
'balance': { 'mxn': '500000.00', 'usd': '0.00' },
'active_investment_amount': 1,
'promoter_id': 'promoter-uuid',
'created_at': '2024-01-15 - 10:00',
'updated_at': '2025-01-01 - 09:00',
'created_by_full_name': 'Administrador',
'country': null,
'country_translated': null,
'is_financial_entity': false,
'prospect_id': null,
'user_id': null,
'user_created': false,
'document_type': null,
'document_number': null,
'marital_status': null,
'account_statement_password': null,
'access_keys_sent': false,
'extra_fields_attributes': [],
'subsidiary_id': null,
'subsidiary_name': null,
'deletable': false
}
}
}
| Code | Description |
|---|---|
| 400 | Bad Request |
| 401 | Unauthorized |
| 403 | Forbidden |
| 404 | Not Found |
| 500 | Internal Server Error |
| Param name | Description |
|---|---|
|
beneficiary
required |
Beneficiary attributes Validations:
|
|
beneficiary[name]
required |
First name Validations:
|
|
beneficiary[lastname]
required |
Last name Validations:
|
|
beneficiary[matriname]
optional |
Second last name Validations:
|
|
beneficiary[dob]
optional |
Date of birth (YYYY-MM-DD) Validations:
|
|
beneficiary[email]
optional |
Email address Validations:
|
|
beneficiary[nationality]
optional |
Nationality key (e.g. mexican) Validations:
|
|
beneficiary[national_id_number]
optional |
CURP or national ID number Validations:
|
|
beneficiary[phone_number]
optional |
Phone number Validations:
|
|
beneficiary[phone_number_extension]
optional |
Phone extension Validations:
|
|
beneficiary[mobile_number]
optional |
Mobile number Validations:
|
|
beneficiary[investor_id]
required |
Associated investor UUID Validations:
|
|
beneficiary[kinship]
optional |
Kinship relationship (e.g. spouse, child, parent) Validations:
|
|
beneficiary[street]
optional |
Street name Validations:
|
|
beneficiary[street_number]
optional |
Street number Validations:
|
|
beneficiary[street_number_internal]
optional |
Interior unit number Validations:
|
|
beneficiary[zip_code]
optional |
ZIP / postal code Validations:
|
|
beneficiary[suburb]
optional |
Suburb / neighborhood Validations:
|
|
beneficiary[city]
optional |
City Validations:
|
|
beneficiary[state]
optional |
State / province Validations:
|
|
beneficiary[country]
optional |
Country code (e.g. MEX) Validations:
|
# Request body:
{
'beneficiary': {
'name': 'Juan',
'lastname': 'Perez',
'matriname': 'Torres',
'dob': '1985-06-20',
'email': 'ejemplo@correo.com',
'nationality': 'mexican',
'phone_number': '5512345678',
'mobile_number': '5598765432',
'investor_id': 'investor-uuid',
'kinship': 'spouse',
'street': 'Av. Insurgentes Sur',
'street_number': '453',
'zip_code': '06600',
'suburb': 'Hipódromo',
'city': 'Ciudad de México',
'state': 'CDMX',
'country': 'MEX'
}
}
# Response (201 Created): same structure as GET /beneficiaries/:id
| Code | Description |
|---|---|
| 400 | Bad Request |
| 401 | Unauthorized |
| 403 | Forbidden |
| 404 | Not Found |
| 500 | Internal Server Error |
| Param name | Description |
|---|---|
|
id
required |
Beneficiary UUID Validations:
|
|
beneficiary
required |
Beneficiary attributes to update Validations:
|
|
beneficiary[name]
optional |
First name Validations:
|
|
beneficiary[lastname]
optional |
Last name Validations:
|
|
beneficiary[matriname]
optional |
Second last name Validations:
|
|
beneficiary[dob]
optional |
Date of birth (YYYY-MM-DD) Validations:
|
|
beneficiary[email]
optional |
Email address Validations:
|
|
beneficiary[nationality]
optional |
Nationality key (e.g. mexican) Validations:
|
|
beneficiary[national_id_number]
optional |
CURP or national ID number Validations:
|
|
beneficiary[phone_number]
optional |
Phone number Validations:
|
|
beneficiary[phone_number_extension]
optional |
Phone extension Validations:
|
|
beneficiary[mobile_number]
optional |
Mobile number Validations:
|
|
beneficiary[investor_id]
optional |
Associated investor UUID Validations:
|
|
beneficiary[kinship]
optional |
Kinship relationship Validations:
|
|
beneficiary[street]
optional |
Street name Validations:
|
|
beneficiary[street_number]
optional |
Street number Validations:
|
|
beneficiary[street_number_internal]
optional |
Interior unit number Validations:
|
|
beneficiary[zip_code]
optional |
ZIP / postal code Validations:
|
|
beneficiary[suburb]
optional |
Suburb / neighborhood Validations:
|
|
beneficiary[city]
optional |
City Validations:
|
|
beneficiary[state]
optional |
State / province Validations:
|
|
beneficiary[country]
optional |
Country code (e.g. MEX) Validations:
|
# Request body:
{
'beneficiary': {
'name': 'Nombre Actualizado',
'kinship': 'child'
}
}
# Response (200 OK): same structure as GET /beneficiaries/:id
| Code | Description |
|---|---|
| 400 | Bad Request |
| 401 | Unauthorized |
| 403 | Forbidden |
| 404 | Not Found |
| 500 | Internal Server Error |
| Param name | Description |
|---|---|
|
id
required |
Beneficiary UUID Validations:
|
# Response (204 No Content) on success. # Response (422 Unprocessable Entity) if the beneficiary cannot be deleted.
| Code | Description |
|---|---|
| 400 | Bad Request |
| 401 | Unauthorized |
| 403 | Forbidden |
| 404 | Not Found |
| 500 | Internal Server Error |